Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.solver.scope
Class DefaultSolverScope

    java.lang.Object
      org.optaplanner.core.impl.solver.scope.DefaultSolverScope

    public class DefaultSolverScope

extends Object

Field Summary
`protected Score` | `bestScore`
`protected Solution` | `bestSolution`
`protected Long` | `bestSolutionTimeMillis`
`protected int` | `bestUninitializedVariableCount`
`protected Long` | `endingSystemTimeMillis`
`protected org.slf4j.Logger` | `logger`
`protected InnerScoreDirector` | `scoreDirector`
`protected Score` | `startingInitializedScore`
`protected int` | `startingSolverCount`
`protected Long` | `startingSystemTimeMillis`
`protected Random` | `workingRandom`

Constructor Summary
`DefaultSolverScope()`

Method Summary
`void` | `assertExpectedWorkingScore(Score expectedWorkingScore, Object completedAction)`
`void` | `assertScoreFromScratch(Solution solution)`
`void` | `assertWorkingScoreFromScratch(Score workingScore, Object completedAction)`
`Score` | `calculateScore()`
`long` | `calculateTimeMillisSpent()`
`Score` | `getBestScore()`
`String` | `getBestScoreWithUninitializedPrefix()`
`Solution` | `getBestSolution()`
`Long` | `getBestSolutionTimeMillis()`
`int` | `getBestUninitializedVariableCount()`
`long` | `getCalculateCount()`
`Long` | `getEndingSystemTimeMillis()`
`ScoreDefinition` | `getScoreDefinition()`
`InnerScoreDirector` | `getScoreDirector()`
`SolutionDescriptor` | `getSolutionDescriptor()`
`Score` | `getStartingInitializedScore()`
`int` | `getStartingSolverCount()`
`Long` | `getStartingSystemTimeMillis()`
`int` | `getWorkingEntityCount()`
`List<Object>` | `getWorkingEntityList()`
`Random` | `getWorkingRandom()`
`Solution` | `getWorkingSolution()`
`int` | `getWorkingValueCount()`
`boolean` | `isBestSolutionInitialized()`
`void` | `setBestScore(Score bestScore)`
`void` | `setBestSolution(Solution bestSolution)` The bestSolution must never be the same instance as the workingSolution, it should be a (un)changed clone.
`void` | `setBestSolutionTimeMillis(Long bestSolutionTimeMillis)`
`void` | `setBestUninitializedVariableCount(int bestUninitializedVariableCount)`
`void` | `setEndingSystemTimeMillis(Long endingSystemTimeMillis)`
`void` | `setScoreDirector(InnerScoreDirector scoreDirector)`
`void` | `setStartingInitializedScore(Score startingInitializedScore)`
`void` | `setStartingSolverCount(int startingSolverCount)`
`void` | `setStartingSystemTimeMillis(Long startingSystemTimeMillis)`
`void` | `setWorkingRandom(Random workingRandom)`
`void` | `setWorkingSolutionFromBestSolution()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final transient org.slf4j.Logger logger

### startingSystemTimeMillis

    protected Long startingSystemTimeMillis

### startingSolverCount

    protected int startingSolverCount

### endingSystemTimeMillis

    protected Long endingSystemTimeMillis

### scoreDirector

    protected InnerScoreDirector scoreDirector

### workingRandom

    protected Random workingRandom

### startingInitializedScore

    protected Score startingInitializedScore

### bestSolution

    protected Solution bestSolution

### bestUninitializedVariableCount

    protected int bestUninitializedVariableCount

### bestScore

    protected Score bestScore

### bestSolutionTimeMillis

    protected Long bestSolutionTimeMillis

Constructor Detail

### DefaultSolverScope

    public DefaultSolverScope()

Method Detail

### getStartingSystemTimeMillis

    public Long getStartingSystemTimeMillis()

### setStartingSystemTimeMillis

    public void setStartingSystemTimeMillis(Long startingSystemTimeMillis)

### getStartingSolverCount

    public int getStartingSolverCount()

### setStartingSolverCount

    public void setStartingSolverCount(int startingSolverCount)

### getEndingSystemTimeMillis

    public Long getEndingSystemTimeMillis()

### setEndingSystemTimeMillis

    public void setEndingSystemTimeMillis(Long endingSystemTimeMillis)

### getScoreDirector

    public InnerScoreDirector getScoreDirector()

### setScoreDirector

    public void setScoreDirector(InnerScoreDirector scoreDirector)

### getSolutionDescriptor

    public SolutionDescriptor getSolutionDescriptor()

### getScoreDefinition

    public ScoreDefinition getScoreDefinition()

### getWorkingSolution

    public Solution getWorkingSolution()

### getWorkingEntityCount

    public int getWorkingEntityCount()

### getWorkingEntityList

    public List<Object> getWorkingEntityList()

### getWorkingValueCount

    public int getWorkingValueCount()

### calculateScore

    public Score calculateScore()

### assertExpectedWorkingScore

    public void assertExpectedWorkingScore(Score expectedWorkingScore,
                                           Object completedAction)

### assertWorkingScoreFromScratch

    public void assertWorkingScoreFromScratch(Score workingScore,
                                              Object completedAction)

### assertScoreFromScratch

    public void assertScoreFromScratch(Solution solution)

### getWorkingRandom

    public Random getWorkingRandom()

### setWorkingRandom

    public void setWorkingRandom(Random workingRandom)

### getStartingInitializedScore

    public Score getStartingInitializedScore()

### setStartingInitializedScore

    public void setStartingInitializedScore(Score startingInitializedScore)

### getCalculateCount

    public long getCalculateCount()

### getBestSolution

    public Solution getBestSolution()

### setBestSolution

    public void setBestSolution(Solution bestSolution)

  The bestSolution must never be the same instance as the workingSolution, it should be a (un)changed clone.

  Parameters:
    `bestSolution` - never null

### getBestUninitializedVariableCount

    public int getBestUninitializedVariableCount()

### setBestUninitializedVariableCount

    public void setBestUninitializedVariableCount(int bestUninitializedVariableCount)

### getBestScore

    public Score getBestScore()

### setBestScore

    public void setBestScore(Score bestScore)

### getBestSolutionTimeMillis

    public Long getBestSolutionTimeMillis()

### setBestSolutionTimeMillis

    public void setBestSolutionTimeMillis(Long bestSolutionTimeMillis)

### isBestSolutionInitialized

    public boolean isBestSolutionInitialized()

### calculateTimeMillisSpent

    public long calculateTimeMillisSpent()

### setWorkingSolutionFromBestSolution

    public void setWorkingSolutionFromBestSolution()

### getBestScoreWithUninitializedPrefix

    public String getBestScoreWithUninitializedPrefix()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.